Bug 85368 - port comms/hylafax won't send faxes under FreeBSD5
port comms/hylafax won't send faxes under FreeBSD5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: lawrance
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-28 09:10 UTC by philk
Modified: 2005-10-08 09:23 UTC (History)
0 users

See Also:


Attachments
file.diff (1.87 KB, patch)
2005-08-28 09:10 UTC, philk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description philk 2005-08-28 09:10:22 UTC
The HylaFax port (comms/hylafax) won't send Class 1 faxes under FreeBSD5.4.
The sendfax program segfaults.

Fix: Apply this patch, which back-ports the fixes for Class 1 sending from the
current development release of HylaFax into 4.2.1.
How-To-Repeat: 
Install the port, try to send a fax, then look in /var/log/messages for
lines like:

Aug 28 17:03:37 catbert FaxQueuer[56995]: JOB 18: Send program terminated
abnormally with exit status 0xb
Comment 1 lawrance freebsd_committer 2005-09-04 17:24:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take
Comment 2 lawrance freebsd_committer 2005-09-07 12:45:23 UTC
Dear maintainer of FreeBSD port comms/hylafax,

Can you please take a look at the following PR:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/85368
and let us know what you think about the changes?

Phil, maintainer - does the patch fix a FreeBSD-specific issue, or or
should the changes also be submitted to the upstream authors?
Comment 3 lawrance freebsd_committer 2005-09-07 12:47:17 UTC
State Changed
From-To: open->feedback

Asked maintainer and submitter for feedback
Comment 4 philk 2005-09-09 08:00:51 UTC
Hi Sam,

> Phil, maintainer - does the patch fix a FreeBSD-specific issue, or or
> should the changes also be submitted to the upstream authors?

The patches fix a FreeBSD 5.x specific issue that has been resolved in the
unreleased CVS version of HylaFax.  These patches are a backport from the
CVS release.


Phil.
Comment 5 lawrance freebsd_committer 2005-09-28 09:06:02 UTC
State Changed
From-To: feedback->analyzed

Maintainer timeout
Comment 6 lawrance freebsd_committer 2005-10-08 09:23:07 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!